org.eclipse.viatra.cep.emf.notification.model.events

## Class REMOVE_Event

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.viatra.cep.core.metamodels.events.impl.EventImpl
          - - org.eclipse.viatra.cep.core.api.events.AbstractEventInstance
            - - org.eclipse.viatra.cep.core.api.events.ParameterizableEventInstance
              - - org.eclipse.viatra.cep.emf.notification.model.events.REMOVE_Event

- All Implemented Interfaces:
    org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, Event

      public class REMOVE_Event
      extends ParameterizableEventInstance
      implements org.eclipse.viatra.cep.emf.notification.model.traits.EObject

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

      `org.eclipse.emf.ecore.InternalEObject.EStore`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.viatra.cep.core.api.events.ParameterizableEventInstance

      `parameters`

    - ### Fields inherited from class org.eclipse.viatra.cep.core.metamodels.events.impl.EventImpl

      `IS_PROCESSED_EDEFAULT, isProcessed, source, timestamp, TIMESTAMP_EDEFAULT, type, TYPE_EDEFAULT`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eContainer`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

    - ### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

      `NIL`

    - ### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

      `EOPPOSITE_FEATURE_BASE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `REMOVE_Event(EventSource eventSource)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `evaluateCheckExpression()` Evaluates check expressions specified in the related atomic event.
    `java.lang.Object` | `getFeature()`
    `java.lang.Object` | `getNewValue()`
    `java.lang.Object` | `getNotifier()`
    `java.lang.Object` | `getOldValue()`
    `void` | `setFeature(java.lang.Object feature)`
    `void` | `setNewValue(java.lang.Object newValue)`
    `void` | `setNotifier(java.lang.Object notifier)`
    `void` | `setOldValue(java.lang.Object oldValue)`

    - ### Methods inherited from class org.eclipse.viatra.cep.core.api.events.ParameterizableEventInstance

      `getParameter, getParameters`

    - ### Methods inherited from class org.eclipse.viatra.cep.core.metamodels.events.impl.EventImpl

      `basicGetSource, eGet, eIsSet, eSet, eStaticClass, eUnset, getSource, getTimestamp, getType, isIsProcessed, setIsProcessed, setSource, setTimestamp, setType, toString`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eBasicSetContainer, eInternalContainer`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetDirectResource, eSetProxyURI, eSettings`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eInvocationDelegate, eInvoke, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

      `eNotificationRequired`

- - ### Constructor Detail

    - #### REMOVE_Event

          public REMOVE_Event(EventSource eventSource)

  - ### Method Detail

    - #### getNotifier

          public java.lang.Object getNotifier()

    - #### setNotifier

          public void setNotifier(java.lang.Object notifier)

    - #### getFeature

          public java.lang.Object getFeature()

    - #### setFeature

          public void setFeature(java.lang.Object feature)

    - #### getOldValue

          public java.lang.Object getOldValue()

    - #### setOldValue

          public void setOldValue(java.lang.Object oldValue)

    - #### getNewValue

          public java.lang.Object getNewValue()

    - #### setNewValue

          public void setNewValue(java.lang.Object newValue)

    - #### evaluateCheckExpression

          public boolean evaluateCheckExpression()

      Description copied from class: `ParameterizableEventInstance`
      Evaluates check expressions specified in the related atomic event.
      Specified by:
        `evaluateCheckExpression` in class `ParameterizableEventInstance`
      Returns:
        logical value of the evaluated expression